aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGravatar Nigel Kukard <nkukard@lbsd.net>2008-04-09 07:35:12 +0000
committerGravatar Nigel Kukard <nkukard@lbsd.net>2008-04-09 07:35:12 +0000
commit65ee2746a4f46f09fe25f2ff226e04dc5c9405a7 (patch)
tree217befc1c928283d3406ee09d404185d25b1b7bf
parent6d5ecc1e519f319433f9fac9757ede70697f75c3 (diff)
downloadbuildroot-65ee2746a4f46f09fe25f2ff226e04dc5c9405a7.tar.gz
buildroot-65ee2746a4f46f09fe25f2ff226e04dc5c9405a7.tar.bz2
* Removed dropbear init patch
* Added dropbear init script * Added more verbose messages about key generation
-rw-r--r--package/dropbear/S50dropbear56
-rw-r--r--package/dropbear/dropbear-init.patch60
-rw-r--r--package/dropbear/dropbear.mk3
3 files changed, 57 insertions, 62 deletions
diff --git a/package/dropbear/S50dropbear b/package/dropbear/S50dropbear
new file mode 100644
index 0000000000..14101d874c
--- /dev/null
+++ b/package/dropbear/S50dropbear
@@ -0,0 +1,56 @@
+#!/bin/sh
+#
+# Starts dropbear sshd.
+#
+
+# Make sure the dropbearkey progam exists
+[ -f /usr/bin/dropbearkey ] || exit 0
+
+start() {
+ echo -n "Starting dropbear sshd: "
+ # Make sure dropbear directory exists
+ if [ ! -d /etc/dropbear ] ; then
+ mkdir -p /etc/dropbear
+ fi
+ # Check for the Dropbear RSA key
+ if [ ! -f /etc/dropbear/dropbear_rsa_host_key ] ; then
+ echo -n "generating rsa key... "
+ /usr/bin/dropbearkey -t rsa -f /etc/dropbear/dropbear_rsa_host_key > /dev/null 2>&1
+ fi
+
+ # Check for the Dropbear DSS key
+ if [ ! -f /etc/dropbear/dropbear_dss_host_key ] ; then
+ echo -n "generating dsa key... "
+ /usr/bin/dropbearkey -t dss -f /etc/dropbear/dropbear_dss_host_key > /dev/null 2>&1
+ fi
+ umask 077
+ start-stop-daemon -S -q -p /var/run/dropbear.pid --exec /usr/sbin/dropbear
+ echo "OK"
+}
+stop() {
+ echo -n "Stopping dropbear sshd: "
+ start-stop-daemon -K -q -p /var/run/dropbear.pid
+ echo "OK"
+}
+restart() {
+ stop
+ start
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart|reload)
+ restart
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|restart}"
+ exit 1
+esac
+
+exit $?
+
diff --git a/package/dropbear/dropbear-init.patch b/package/dropbear/dropbear-init.patch
deleted file mode 100644
index 9a44c7f712..0000000000
--- a/package/dropbear/dropbear-init.patch
+++ /dev/null
@@ -1,60 +0,0 @@
-diff -rNu dropbear-0.51_vanilla/S50dropbear dropbear-0.51_init/S50dropbear
---- dropbear-0.51_vanilla/S50dropbear 1970-01-01 00:00:00.000000000 +0000
-+++ dropbear-0.51_init/S50dropbear 2008-04-08 14:46:53.000000000 +0000
-@@ -0,0 +1,56 @@
-+#!/bin/sh
-+#
-+# Starts dropbear sshd.
-+#
-+
-+# Make sure the dropbearkey progam exists
-+[ -f /usr/bin/dropbearkey ] || exit 0
-+
-+start() {
-+ echo -n "Starting dropbear sshd: "
-+ # Make sure dropbear directory exists
-+ if [ ! -d /etc/dropbear ] ; then
-+ mkdir -p /etc/dropbear
-+ fi
-+ # Check for the Dropbear RSA key
-+ if [ ! -f /etc/dropbear/dropbear_rsa_host_key ] ; then
-+ /usr/bin/dropbearkey -t rsa -f /etc/dropbear/dropbear_rsa_host_key > /dev/null 2>&1
-+ echo -n .
-+ fi
-+
-+ # Check for the Dropbear DSS key
-+ if [ ! -f /etc/dropbear/dropbear_dss_host_key ] ; then
-+ /usr/bin/dropbearkey -t dss -f /etc/dropbear/dropbear_dss_host_key > /dev/null 2>&1
-+ echo -n .
-+ fi
-+ umask 077
-+ start-stop-daemon -S -q -p /var/run/dropbear.pid --exec /usr/sbin/dropbear
-+ echo "OK"
-+}
-+stop() {
-+ echo -n "Stopping sshd: "
-+ start-stop-daemon -K -q -p /var/run/dropbear.pid
-+ echo "OK"
-+}
-+restart() {
-+ stop
-+ start
-+}
-+
-+case "$1" in
-+ start)
-+ start
-+ ;;
-+ stop)
-+ stop
-+ ;;
-+ restart|reload)
-+ restart
-+ ;;
-+ *)
-+ echo $"Usage: $0 {start|stop|restart}"
-+ exit 1
-+esac
-+
-+exit $?
-+
diff --git a/package/dropbear/dropbear.mk b/package/dropbear/dropbear.mk
index 0595485678..6e22bec0bc 100644
--- a/package/dropbear/dropbear.mk
+++ b/package/dropbear/dropbear.mk
@@ -57,8 +57,7 @@ $(TARGET_DIR)/$(DROPBEAR_TARGET_BINARY): $(DROPBEAR_DIR)/$(DROPBEAR_BINARY)
ln -snf ../sbin/dropbear $(TARGET_DIR)/usr/bin/dropbearkey
ln -snf ../sbin/dropbear $(TARGET_DIR)/usr/bin/dropbearconvert
mkdir -p $(TARGET_DIR)/etc/init.d
- cp -dpf $(DROPBEAR_DIR)/S50dropbear $(TARGET_DIR)/etc/init.d/
- chmod a+x $(TARGET_DIR)/etc/init.d/S50dropbear
+ $(INSTALL) -m 755 package/dropbear/S50dropbear $(TARGET_DIR)/etc/init.d/S50dropbear
dropbear: uclibc zlib $(TARGET_DIR)/$(DROPBEAR_TARGET_BINARY)